#ifndef INCLUDED_PenaltyGoalie_h_
#define INCLUDED_PenaltyGoalie_h_

#include "Behaviors/BehaviorBase.h"
#include "Motion/MotionManager.h"
#include "Behaviors/Controls/FileBrowserControl.h"
#include "Motion/MotionSequenceMC.h"
#include "Motion/EmergencyStopMC.h"
#include "Motion/LedMC.h"
#include "SoundPlay/SoundManager.h"
#include "Motion/MMAccessor.h"
#include "Shared/TimeET.h"
#include "Shared/Config.h"
#include <string>

class PenaltyGoalie:public BehaviorBase
{
	public:
		PenaltyGoalie():BehaviorBase("PenaltyGoalie"),headpointer_id(MotionManager::invalid_MC_ID), walker_id(MotionManager::invalid_MC_ID), savedball(false){}
		virtual ~PenaltyGoalie() {}
		virtual void DoStart();
		virtual void DoStop();
		virtual void processEvent(const EventBase& event);
		static std::string getClassDescription() { return "Simple goalie for penalty kick."; }
		virtual std::string getDescription() const { return getClassDescription(); }

	protected:
		MotionManager::MC_ID headpointer_id;
		MotionManager::MC_ID walker_id;
		bool savedball;
};

#endif
